cdac.medinfo.sdk.hl7282.baselibs

## Class ICD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.ICD

- All Implemented Interfaces:
    IDataType

      public class ICD
      extends CompositeDataType

  ICD - Insurance Certification Definition

  This data type specifies whether insurance certification is required for particular patient types, and the time window for obtaining the certification.

  Represents an HL7 ICD data type. This data type has the following attributes:

  1. Certification Patient Type (CWE)Optional
  2. Certification Required (ID)Required
  3. Date/Time Certification Required (DTM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICD()` Default Constructor for ICD
    `ICD(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for ICD class which takes four arguments and sets the value in the respective member variable.
    `ICD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for ICD class which takes five arguments and sets the value in the respective member variable.
    `ICD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for ICD class which takes six arguments and sets the value in the respective member variable.
    `ICD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for ICD class which takes four arguments and sets the value in the respective member variable.
    `ICD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for ICD class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getCertificationPatientType()` Returns Certification Patient Type
    `ID` | `getCertificationRequired()` Returns Certification Required
    `DTM` | `getDateTimeCertificationRequired()` Returns Date/Time Certification Required
    `void` | `setCertificationPatientType(CWE objCWE)` Sets the CertificationPatientType.
    `void` | `setCertificationPatientType(java.lang.String strCertificationPatientType)` Sets the CertificationPatientType.
    `void` | `setCertificationRequired(ID objID)` Sets the CertificationRequired.
    `void` | `setCertificationRequired(java.lang.String strCertificationRequired)` Sets the CertificationRequired.
    `void` | `setDateTimeCertificationRequired(DTM objDateTimeCertificationRequired)` Sets the DateTimeCertificationRequired.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICD

          public ICD()

      Default Constructor for ICD

    - #### ICD

          public ICD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for ICD class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### ICD

          public ICD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for ICD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### ICD

          public ICD(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for ICD class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### ICD

          public ICD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for ICD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### ICD

          public ICD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for ICD class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setCertificationPatientType

          public void setCertificationPatientType(java.lang.String strCertificationPatientType)

      Sets the CertificationPatientType.
      Parameters:
        `strCertificationPatientType` - Specifies Patient Type

    - #### setCertificationPatientType

          public void setCertificationPatientType(CWE objCWE)

      Sets the CertificationPatientType.
      Parameters:
        `objCWE` - Specifies Patient Type

    - #### setCertificationRequired

          public void setCertificationRequired(java.lang.String strCertificationRequired)

      Sets the CertificationRequired.
      Parameters:
        `strCertificationRequired` - Specifies certification is required or not

    - #### setCertificationRequired

          public void setCertificationRequired(ID objID)

      Sets the CertificationRequired.
      Parameters:
        `objID` - Specifies certification is required or not

    - #### setDateTimeCertificationRequired

          public void setDateTimeCertificationRequired(DTM objDateTimeCertificationRequired)

      Sets the DateTimeCertificationRequired.
      Parameters:
        `objDateTimeCertificationRequired` - Specifies Date/Time by which pre-certificationification must be obtained

    - #### getCertificationPatientType

          public CWE getCertificationPatientType()

      Returns Certification Patient Type
      Returns:
        CWE - data type.

    - #### getCertificationRequired

          public ID getCertificationRequired()

      Returns Certification Required
      Returns:
        ID - data type.

    - #### getDateTimeCertificationRequired

          public DTM getDateTimeCertificationRequired()

      Returns Date/Time Certification Required
      Returns:
        DTM - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.